import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSString } from "../Foundation/NSString.js";
export declare class _GKBasePlayer extends _NSObject {
    static alloc(): _GKBasePlayer;
    static new(): _GKBasePlayer;
    init(): _GKBasePlayer;
    /** @deprecated Use ``GKPlayer/gamePlayerID`` or ``GKPlayer/teamPlayerID`` instead. */
    playerID(): _NSString | null;
    /**
     * This player's name representation as displayed in the Game Center in-game UI. Use this when you need to display the player's name. The display name may be very long, so be sure to use appropriate string truncation API when drawing.
     */
    displayName(): _NSString | null;
}
export interface _GKBasePlayer extends _NSCopying {
}
